<?php
// SPDX-License-Identifier: EUPL-1.2
// Authors: see README.md

namespace SeaCMS\App;

use SeacmsAppPlugin;
use SeaCMS\App\TestException;
use SeaCMS\App\TestInterface;
use SeaCMS\App\TestBaseUrlException;

/**
 * test base Url
 */
class TestBaseUrl implements TestInterface
{
    /**
     * run tests
     * @param SeacmsAppPlugin $plugin
     * @param string $output
     * @throws TestException
     */
    public function run(SeacmsAppPlugin $plugin, string $output){
        $pico = $plugin->getPico();
        throw new TestBaseUrlException(
            $pico->getBaseUrl(),
            $pico->getRootDir(),
            $pico->getPluginsDir(),
            $pico->getThemesDir(),
            $pico->getCurrentPage(),
            "Testing base url"
        );
        
    }
}
